# class AnimationEffectReadOnly

#### package js.html

#### extended by KeyframeEffectReadOnly

Available on HTML5

The `AnimationEffectReadOnly` interface of the Web Animations API defines current and future animation effects like `KeyframeEffect`, which can be passed to `Animation` objects for playing, and `KeyframeEffectReadOnly` (which is used by CSS Animations and Transitions).

Documentation AnimationEffectReadOnly by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/AnimationEffectReadOnly

### Variables

###

`read onlytiming:AnimationEffectTimingReadOnly`

The `AnimationEffectTimingReadOnly` object associated with the animation containing all the animation's timing values.

### Methods

###

`getComputedTiming ():ComputedTimingProperties`

Returns the calculated timing properties for this Animation Effect.